package kotlinaop.persist;

import com.google.inject.persist.Transactional;

import javax.inject.Inject;
import javax.persistence.EntityManager;

public class PersistJava {

    @Inject
    EntityManager em;

    @Transactional
    public void hello() {
        System.out.println("Java: In Transaction? " + em.getTransaction().isActive());

        Person p = new Person();
        p.name = "Java";
        em.persist(p);
    }
}
