package kotlinaop.persist

import javax.persistence.EntityManager
import javax.inject.Inject
import com.google.inject.persist.Transactional

public class PersistKotlin [Inject] (val em : EntityManager) {

    Transactional
    fun hello() {
        println("Kotlin: In Transaction? ${em.getTransaction()?.isActive()}")

        val p = Person()
        p.name = "Kotlin"
        em.persist(p)
    }
}