package kotlinaop.persist;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.google.inject.persist.jpa.JpaPersistModule;

public class PersistMain {

    public static void main(String[] args) {
        Injector injector = Guice.createInjector(new MyModule(), new JpaPersistModule("h2"));
//        PersistJava dao = injector.getInstance(PersistJava.class);
        PersistKotlin dao = injector.getInstance(PersistKotlin.class);
        dao.hello();
    }
}
